GO = go
GOFLAGS = -trimpath -ldflags="-s -w"

.PHONY: tetris

tetris :
	$(GO) build $(GOFLAGS) tetris.go

release : NEXT_VER = $(shell git-cliff --bumped-version)
release :
	git-cliff --bump -o CHANGELOG.md
	git add CHANGELOG.md
	git commit -m "chore(version): Bump to $(NEXT_VER)"
	git tag $(NEXT_VER)
